pssl.h File Reference
`#include <ptlib/sockets.h>`

Go to the source code of this file.

## Classes

class | PSSLPrivateKey
| Private key for SSL. More...
class | PSSLCertificate
| Certificate for SSL. More...
class | PSSLDiffieHellman
| Diffie-Hellman parameters for SSL. More...
class | PSSLContext
| Context for SSL channels. More...
class | PSSLChannel
| This class will start a secure SSL based channel. More...

## Enumerations

enum | PSSLFileTypes { PSSLFileTypePEM, PSSLFileTypeASN1, PSSLFileTypeDEFAULT }

## Enumeration Type Documentation

enum PSSLFileTypes

Enumerator
PSSLFileTypePEM |
PSSLFileTypeASN1 |
PSSLFileTypeDEFAULT |